Retrieves the user_planning_slot with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "e2c86eb6-b69a-4481-befe-6926322b97c8",
"user_id": "431c89cd-6155-4589-b595-83a13e5b40f4",
"user_planning_slot_type_id": "5464e16d-f356-4e38-a0b4-98790f1ead96",
"date_from": "2026-10-20T18:27:32.7751453+00:00",
"date_to": "2026-10-20T18:27:32.7751453+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-10-20T18:27:32.7751453+00:00"
}